{
  "name": "@cmdln/result",
  "author": "cmdln",
  "version": "0.1.2",
  "description": "Try type for functional programming plus useful utilities.",
  "repository": "https://git.cmdln.net/cmdln/result",
  "license": "MIT",
  "packageManager": "yarn@3.1.1",
  "main": "dist/index.js",
  "types": "types/index.d.ts",
  "exports": {
    ".": "./dist/index.js"
  },
  "scripts": {
    "clean": "yarn cache clean && rm -rf dist",
    "lint": "yarn run eslint . --ext .ts",
    "lint:fix": "yarn run eslint --fix . --ext .ts",
    "format:check": "yarn run prettier --check src/**",
    "format": "yarn run prettier --write src/**",
    "test": "yarn jest",
    "pre:push": "yarn lint && yarn format:check && yarn compile && yarn test && yarn outdated -c -s minor",
    "compile": "yarn tsc -b"
  },
  "devDependencies": {
    "@types/jest": "^29.5.12",
    "@types/lodash.isnil": "^4.0.9",
    "@types/node": "^20.11.20",
    "@typescript-eslint/eslint-plugin": "^7.0.2",
    "@typescript-eslint/parser": "^7.0.2",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.1.0",
    "jest": "^29.7.0",
    "lerna": "^8.1.2",
    "prettier": "^3.2.5",
    "ts-jest": "^29.1.2",
    "ts-node": "^10.9.2",
    "typescript": "^5.3.3"
  },
  "dependencies": {
    "lodash.isnil": "^4.0.0"
  },
  "files": [
    "dist/*"
  ]
}
